Error
A valid request URL is required to generate request examples{
"pageKey": "<string>",
"response": [
{
"hidden": true,
"hiddenReasons": [
"INAPPROPRIATE_NAME"
],
"moderationSource": "AI",
"donationSubject": {
"chainId": 123,
"address": "<string>",
"donationSource": {
"label": "<string>",
"address": "<string>",
"chain": {
"id": 123,
"name": "<string>",
"type": "bitcoin"
},
"developerProjectId": "<string>"
},
"creditedAccount": {
"chain": {
"id": 123,
"name": "<string>",
"type": "bitcoin"
},
"address": "<string>"
},
"type": "token",
"token": {
"id": "<string>",
"chainId": 123,
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"standard": "NATIVE",
"hidden": true,
"hiddenReasons": [
"INAPPROPRIATE_NAME"
],
"moderationSource": "AI"
}
},
"pendingUsdE6": "<string>",
"finalizedUsdE6": "<string>",
"displayedUsdE6": "<string>",
"pendingCount": 123,
"finalizedCount": 123,
"donationCount": 123,
"firstDonationAt": "<string>",
"lastDonationAt": "<string>",
"rank": 123,
"beneficiaries": [
{
"id": "<string>",
"name": "<string>",
"logo": "<string>",
"type": "charity"
}
]
}
],
"tokenImageMap": {}
}{
"defined": true,
"code": "VALIDATION_ERROR",
"status": 400,
"message": "Validation failed",
"data": {
"error": "<string>",
"code": "VALIDATION_ERROR",
"issues": [
null
]
}
}API Reference
List donating coins
Visible coins with named beneficiaries. Filtered amounts and ranks use only matching allocated shares. campaignSource is a campaign provider, not the on-chain donation source.
GET
/
v2
/
coins
Error
A valid request URL is required to generate request examples{
"pageKey": "<string>",
"response": [
{
"hidden": true,
"hiddenReasons": [
"INAPPROPRIATE_NAME"
],
"moderationSource": "AI",
"donationSubject": {
"chainId": 123,
"address": "<string>",
"donationSource": {
"label": "<string>",
"address": "<string>",
"chain": {
"id": 123,
"name": "<string>",
"type": "bitcoin"
},
"developerProjectId": "<string>"
},
"creditedAccount": {
"chain": {
"id": 123,
"name": "<string>",
"type": "bitcoin"
},
"address": "<string>"
},
"type": "token",
"token": {
"id": "<string>",
"chainId": 123,
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"standard": "NATIVE",
"hidden": true,
"hiddenReasons": [
"INAPPROPRIATE_NAME"
],
"moderationSource": "AI"
}
},
"pendingUsdE6": "<string>",
"finalizedUsdE6": "<string>",
"displayedUsdE6": "<string>",
"pendingCount": 123,
"finalizedCount": 123,
"donationCount": 123,
"firstDonationAt": "<string>",
"lastDonationAt": "<string>",
"rank": 123,
"beneficiaries": [
{
"id": "<string>",
"name": "<string>",
"logo": "<string>",
"type": "charity"
}
]
}
],
"tokenImageMap": {}
}{
"defined": true,
"code": "VALIDATION_ERROR",
"status": 400,
"message": "Validation failed",
"data": {
"error": "<string>",
"code": "VALIDATION_ERROR",
"issues": [
null
]
}
}Authorizations
Query Parameters
Was this page helpful?